#######################################################
#                                                     #
#    Function: Read a Exprs file and make an ExprsSet #
#             object.                                 #
#    made by: Emiel Ver Loren van Themaat             #
#    Amsterdam Medisch Centrum                        #
#                                                     #
#######################################################
#The filename must be a string: either  "D:/experiment1/fi.txt" or "fi.txt" if the file is in the current working directory
#The file is seperated by "\t" and the first row is a header containing slide names
#The file first column (starting from row two) contains genenames
#  "..__251239118311_S01_A01.txt"	"..__251239118442_S01_A01.txt"	"..__251239118039_S01_A01.txt"
# 	"A_23_P80353"					-0.070021						0.126071
#	"A_23_P158231"					-0.432488						-0.378303	
require(Biobase)  
file2Exprs <- function(filename)
{

  data <- read.table(file=filename, sep="\t",row.names = NULL, header=TRUE, fill= TRUE)
	datamat <- as.matrix(data[,2:dim(data)[2]])
	rownames(datamat)<- data[,1]
  if(as.numeric(sessionInfo()$R$min)>=8 | as.numeric(sessionInfo()$R$maj)>=3 )
  {
    expr <- new("ExpressionSet")
  }
  else {
    expr <- new("exprSet")
  }
	exprs(expr) <- datamat

	return(expr)
}
file2Matrix <- function(filename)
{
  data <- read.table(file=filename, sep="\t",row.names = NULL)
  datamat <- as.matrix(data[,2:dim(data)[2]])
	rownames(datamat)<- data[,1]
	return(datamat)
}

